# Created by pyp2rpm-3.3.2
%global pypi_name sphinxcontrib-rubydomain

%global date	20100804
%global rel	7

Name:           python-%{pypi_name}
Version:        0.1
Release:        %mkrel 0.dev%{date}.%{rel}

Summary:        Sphinx extension sphinxcontrib-rubydomain
Group:          Development/Python
License:        BSD
URL:            https://bitbucket.org/birkenfeld/sphinx-contrib
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/sphinxcontrib-rubydomain-%{version}dev-%{date}.tar.gz
Patch0:		0001-Remove-sphinx.util.compat-references.patch
Patch1:		0001-Replace-dict.iteritems-with-dict.items.patch
Patch2:		0001-Replace-deprecated-sphinx.locale.l_-with-sphinx.loca.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This package contains the sphinxcontrib-rubydomain Sphinx extension.This
extension adds Ruby Domain to Sphinx. It needs Sphinx 1.0 or newer.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(sphinx) >= 1.0
%description -n python3-%{pypi_name}
This package contains the sphinxcontrib-rubydomain Sphinx extension.This
extension adds Ruby Domain to Sphinx. It needs Sphinx 1.0 or newer.

%prep
%autosetup -n sphinxcontrib-rubydomain-%{version}dev-%{date} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

#we don't need this
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib_rubydomain-%{version}*-py%{python3_version}-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 0.1-0.dev20100804.7.mga10
+ Revision: 2158748
- rebuild for python3.13

* Fri Dec 20 2024 daviddavid <daviddavid> 0.1-0.dev20100804.6.mga10
+ Revision: 2126638
- switch to pyproject

* Thu Dec 07 2023 wally <wally> 0.1-0.dev20100804.5.mga10
+ Revision: 2015102
- rebuild for py3.12

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.1-0.dev20100804.4.mga9
+ Revision: 1782403
- rebuild for python-3.10

* Fri Sep 27 2019 daviddavid <daviddavid> 0.1-0.dev20100804.3.mga9
+ Revision: 1447442
- rebuild for python3.8

* Sat Aug 17 2019 wally <wally> 0.1-0.dev20100804.2.mga8
+ Revision: 1429573
- add patch to fix deprecated sphinx.locale.l_() calls

* Sat Aug 17 2019 wally <wally> 0.1-0.dev20100804.1.mga8
+ Revision: 1429549
- add patch for python3
- add patch for sphinx >= 1.7 support
- imported package python-sphinxcontrib-rubydomain

